Skip to main content
save notebook
ReferenceApplies to: Unified engine deployments
Addresses and access · Request identity · Errors and recovery · Pagination and results

Path Parameters

notebook_id
string<uuid>
required

Body

application/json
document
object
required

A complete nbformat 4 .ipynb document. Set metadata.kernelspec.name to sql or python3. Code cells have id, cell_type, metadata, source (string or array of lines), outputs:[], execution_count:null. Markdown cells have id, cell_type, metadata and source.

expected_revision
integer
required
Required range: x >= 0
name
string
required
settings
object

Response

Successful response.

notebook
object
required
Last modified on November 4, 2026